PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
cibadmin <command> [options]

DESCRIPTION
cibadmin - query and edit the Pacemaker configuration

OPTIONS

-?, --help
    This text

-$, --version
    Version information

-V, --verbose
    Increase debug output

  Commands:

-u, --upgrade
    Upgrade the configuration to the latest syntax

-Q, --query
    Query the contents of the CIB

-E, --erase
    Erase the contents of the whole CIB

-B, --bump
    Increase the CIB's epoch value by 1

-C, --create
    Create an object in the CIB (will fail if object already exists)

-M, --modify
    Find object somewhere in CIB's XML tree and update it (fails if object does not exist unless -c is also specified)

-P, --patch
    Supply an update in the form of an XML diff (see crm_diff(8))

-R, --replace
    Recursively replace an object in the CIB

-D, --delete
    Delete first object matching supplied criteria (for example, <op id="rsc1_op1" name="monitor"/>)

    The XML element name and all attributes must match in order for the element to be deleted.

-d, --delete-all
    When used with --xpath, remove all matching objects in the configuration instead of just the first one

-a, --empty
    Output an empty CIB

-5, --md5-sum
    Calculate the on-disk CIB digest

-6, --md5-sum-versioned
    Calculate an on-the-wire versioned CIB digest

  Additional options:

-f, --force

-t, --timeout=value
    Time (in seconds) to wait before declaring the operation failed

-U, --user=value
    Run the command with permissions of the named user (valid only for the root and hacluster accounts)

-s, --sync-call
    Wait for call to complete before returning

-l, --local
    Command takes effect locally (should be used only for queries)

-c, --allow-create
    (Advanced) Allow target of --modify/-M to be created if it does not exist

-n, --no-children
    (Advanced) When querying an object, do not include its children in the result

  Data:

-X, --xml-text=value
    Retrieve XML from the supplied string

-x, --xml-file=value
    Retrieve XML from the named file

-p, --xml-pipe Retrieve XML from stdin

-o, --scope=value
    Limit scope of operation to specific section of CIB

    Valid values: configuration, nodes, resources, constraints, crm_config, rsc_defaults, op_defaults, acls, fencing-topology, tags, alerts

-A, --xpath=value
    A valid XPath to use instead of --scope/-o

-e, --node-path
    When performing XPath queries, return path of any matches found

    (for example, "/cib/configuration/resources/clone[@id='ms_RH1_SCS']/primitive[@id='prm_RH1_SCS']")

-N, --node=value
    (Advanced) Send command to the specified host

EXAMPLES
Query the configuration from the local node:

    # cibadmin --query --local

Query just the cluster options configuration:

    # cibadmin --query --scope crm_config

Query all 'target-role' settings:

    # cibadmin --query --xpath "//nvpair[@name='target-role']"

Remove all 'is-managed' settings:

    # cibadmin --delete-all --xpath "//nvpair[@name='is-managed']"

Remove the resource named 'old':

    # cibadmin --delete --xml-text '<primitive id="old"/>'

Remove all resources from the configuration:

    # cibadmin --replace --scope resources --xml-text '<resources/>'

Replace complete configuration with contents of $HOME/pacemaker.xml:

    # cibadmin --replace --xml-file $HOME/pacemaker.xml

Replace constraints section of configuration with contents of $HOME/constraints.xml:

    # cibadmin --replace --scope constraints --xml-file $HOME/constraints.xml

Increase configuration version to prevent old configurations from being loaded accidentally:

    # cibadmin --modify --xml-text '<cib admin_epoch="admin_epoch++"/>'

Edit the configuration with your favorite $EDITOR:

    # cibadmin --query > $HOME/local.xml

    # $EDITOR $HOME/local.xml

    # cibadmin --replace --xml-file $HOME/local.xml

  SEE ALSO:

    crm(8), pcs(8), crm_shadow(8), crm_diff(8)

AUTHOR
Written by Andrew Beekhof

REPORTING BUGS
Report bugs to users@clusterlabs.org